//+------------------------------------------------------------------+
//|                                                        test1.mqh |
//|                        Copyright 2017, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+

/*! \file test1.mqh
    \brief Testing some var & class
           with DoxyGen
    
    This is only test.
    <a href="http://www.google.com">More...</a>

*/

#property copyright "Copyright 2017, MetaQuotes Software Corp."
#property link      "https://www.mql5.com"

/** \def STR_MACRO
 *  \brief Only string in macro
 *  and this is Brief for macro
 */
#define STR_MACRO   "This is simple string"


long lgVar = 0; /*!< a long  value */ 

/**
 * @brief      Very, very important function
 *
 * @param[in]  x      First param - integer \a x 
 * @param[in]  y      Second param - integer \a y 
 *
 * @return      Return sum \a x + \a y 
 */
int intSumm (int x, int y) { return (x + y); }


class CTest {
	public:
		CTest():i_var(0) {}   //!< constructor 

/**
 * @brief      simple func
 * @return     The const variable \a i_var .
 */
		const int GetVar() {return (i_var);} 
	private:
		int i_var;      //!< \private integer Var. 
};
/*! \class     CTest
 *  \brief     Pretty nice class.
 *  \details   This class is used to demonstrate.
 *  \author    Andrei
 *  \version   1.0
 *  \date      2017
 *  \pre       First initialize the system.
 *  \bug       Not all memory is freed when deleting an object of this class.
 *  \warning   Improper use can crash your application
 *  \copyright GNU Public License.
 */